> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all components

> Get all components



## OpenAPI

````yaml /api-reference/bundled.yaml get /v0/components
openapi: 3.1.0
info:
  title: Gable API
  description: >
    API to interact with the Gable platform

    ## Authorization

    All API requests require an API key to be passed in the `X-API-KEY` header.
    For instructions on finding your API key and api endpoint check out the [API
    Key documentation](../docs/api-keys.md).

    Example: `curl -H "X-API-KEY: <your-api-key>"
    https://api-{organization}.gable.ai/v0/ping`
  contact:
    name: Gable Engineering
    url: https://gable.ai
    email: engineers@gable.ai
  version: 1.28.0
servers:
  - url: https://{hostname}.gable.ai
    description: Gable API
    variables:
      hostname:
        default: demo-api
        description: Customer environment assigned by Gable
security:
  - ApiKeyAuth: []
tags:
  - name: action
  - name: api-keys
  - name: auth
  - name: changelog
  - name: config
  - name: contract
  - name: data-asset
  - name: debug
  - name: s3
  - name: settings
  - name: slack
  - name: sso
  - name: webhook
  - name: notifications
  - name: constraints
  - name: telemetry
  - name: component
  - name: components
  - name: sca
  - name: cross-service-components
  - name: lineage
  - name: events
  - name: measurements
  - name: defect-report
  - name: experimental
paths:
  /v0/components:
    get:
      tags:
        - component
      summary: Get all components
      description: Get all components
      operationId: getComponents
      parameters:
        - in: query
          name: search
          schema:
            type: string
          description: A query string to search components with
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  components:
                    type: array
                    items:
                      $ref: '#/components/schemas/Component'
                required:
                  - components
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    Component:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier for the component.
        name:
          type: string
          description: The name of the component.
        type:
          type: string
          description: The type of the component.
        repoName:
          type: string
          description: The repository name or path associated with the component.
        lastUpdated:
          type: string
          format: date
          description: The date when the component was last updated.
        metrics:
          $ref: '#/components/schemas/ComponentMetrics'
          description: Counts of ingresses, egresses and paths recorded for this component.
        friendly_name:
          type: string
          description: Optional user-defined friendly name for the component.
        codeInfo:
          $ref: '#/components/schemas/ComponentCodeInfo'
          description: Repository metadata for this component.
      required:
        - id
        - name
        - type
        - repoName
        - lastUpdated
        - metrics
        - codeInfo
    ErrorResponse:
      type: object
      required:
        - message
      properties:
        id:
          type: number
        title:
          type: string
        message:
          type: string
    ComponentMetrics:
      type: object
      properties:
        ingressCount:
          type: integer
          description: Number of ingress records.
        egressCount:
          type: integer
          description: Number of egress records.
        pathCount:
          type: integer
          description: Number of paths.
      required:
        - ingressCount
        - egressCount
        - pathCount
    ComponentCodeInfo:
      type: object
      properties:
        repoUri:
          type: string
          format: uri
          description: URL of the Git repository.
        projectRoot:
          type: string
          description: Root directory of the project within the repository.
      required:
        - repoUri
        - projectRoot
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````